<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<RelativeLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/color_body_02"
            android:fitsSystemWindows="true"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:orientation="vertical">

        <include layout="@layout/app_toolbar"/>

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:orientation="vertical"
        >

            <com.ntels.onecable.admin.common.widget.CustomScrollView
                    android:id="@+id/svBody"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:fadingEdge="none">

                <LinearLayout
                        android:id="@+id/llSvbody"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                    <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingTop="20dp"
                            android:orientation="vertical">

                        <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical">

                            <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="15dp"
                                    android:includeFontPadding="false"
                                    android:text="@string/layout_join_step_3rd_master_02"
                                    android:textColor="@color/color_text_01"
                                    android:textSize="@dimen/size_font_02"
                                    android:textStyle="bold"
                            />
                        </LinearLayout>

                        <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="18dp"
                                android:gravity="center_vertical"
                                android:paddingLeft="10dp"
                                android:paddingRight="15dp">

                            <ImageView
                                    android:layout_width="40dp"
                                    android:layout_height="33dp"
                                    android:background="@drawable/img_icon_calendar"/>

                            <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="10dp"
                                    android:includeFontPadding="false"
                                    android:text="@string/layout_join_step_3rd_master_03"
                                    android:textColor="@color/color_text_01"
                                    android:textSize="@dimen/size_font_04"
                            />
                        </LinearLayout>

                        <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="vertical"
                                android:paddingLeft="15dp"
                                android:paddingRight="15dp"
                                android:layout_marginTop="19dp">

                            <RelativeLayout
                                    android:id="@+id/rlQuestion"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:clickable="true">

                                <TextView
                                        android:id="@+id/tvQuestion"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center_vertical"
                                        android:layout_weight="1"
                                        android:background="@drawable/d_img_input_round_bg"
                                        android:gravity="left|center_vertical"
                                        android:hint="@string/layout_homemember_add_05"
                                        android:includeFontPadding="false"
                                        android:maxLength="60"
                                        android:minHeight="40dp"
                                        android:paddingLeft="10dp"
                                        android:paddingRight="10dp"
                                        android:duplicateParentState="true"
                                        android:textColor="@color/color_text_01"
                                        android:textColorHint="@drawable/d_font_color_font_03_color_font_02"
                                        android:textSize="@dimen/size_font_04">
                                </TextView>
                                <ImageView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_alignParentRight="true"
                                        android:layout_centerVertical="true"
                                        android:layout_marginRight="10dp"
                                        android:duplicateParentState="true"
                                        android:src="@drawable/d_common_select_btn_icon"/>
                            </RelativeLayout>
                            <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="15dp"
                                    android:gravity="left"
                                    android:includeFontPadding="false"
                                    android:textColor="@color/color_text_04"
                                    android:textSize="@dimen/size_font_04"
                                    android:text="@string/layout_join_step_3rd_master_05"/>
                            <LinearLayout
                                    android:id="@+id/llQuiz"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical"
                                    android:visibility="gone">
                                <EditText
                                        android:id="@+id/edtQuiz"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginTop="20dp"
                                        android:background="@drawable/d_img_input_round_bg"
                                        android:gravity="left|center_vertical"
                                        android:hint="@string/layout_join_step_3rd_master_08"
                                        android:imeOptions="actionDone"
                                        android:includeFontPadding="false"
                                        android:inputType="text"
                                        android:maxLength="20"
                                        android:paddingLeft="15dp"
                                        android:paddingRight="15dp"
                                        android:singleLine="true"
                                        android:textColor="@color/color_text_01"
                                        android:textColorHint="@color/color_text_03"
                                        android:textSize="@dimen/size_font_04">
                                </EditText>
                                <TextView
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginTop="15dp"
                                        android:gravity="left"
                                        android:includeFontPadding="false"
                                        android:textColor="@color/color_text_04"
                                        android:textSize="@dimen/size_font_04"
                                        android:text="@string/layout_homemember_add_11"/>
                            </LinearLayout>
                        </LinearLayout>

                        <View
                                android:layout_marginTop="20dp"
                                style="@style/width_Divider_01"/>

                        <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:paddingTop="20dp"
                                android:paddingLeft="15dp"
                                android:paddingRight="15dp">
                            <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:includeFontPadding="false"
                                    android:text="@string/layout_join_step_3rd_master_06"
                                    android:textColor="@color/color_text_01"
                                    android:textSize="@dimen/size_font_02"
                                    android:textStyle="bold"
                            />
                            <TextView
                                    android:id="@+id/tvValueDate"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_vertical"
                                    android:layout_marginTop="20dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/d_img_input_round_bg"
                                    android:gravity="left|center_vertical"
                                    android:hint="@string/layout_homemember_add_06"
                                    android:includeFontPadding="false"
                                    android:inputType="date"
                                    android:minHeight="40dp"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp"
                                    android:singleLine="true"
                                    android:textColor="@color/color_text_01"
                                    android:textColorHint="@color/color_text_03"
                                    android:textSize="@dimen/size_font_04"/>
                        </LinearLayout>
                    </LinearLayout>

                </LinearLayout>
            </com.ntels.onecable.admin.common.widget.CustomScrollView>

        </LinearLayout>

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

            <View
                    style="@style/width_Divider_02"/>

            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                <View
                        style="@style/width_Divider_01"/>

                <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:layout_gravity="center_horizontal"
                        android:background="@drawable/color_bg_01"
                        android:gravity="center">


                    <LinearLayout
                            android:id="@+id/llBtn2"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:background="@drawable/d_common_btn_bg"
                            android:layout_weight="1"
                            android:gravity="center">

                        <TextView
                                android:id="@+id/tvBtn2"
                                android:text="@string/layout_cancel"
                                style="@style/bottom_button_text_no"/>
                    </LinearLayout>

                    <View
                            style="@style/height_Divider_01"/>
                    <LinearLayout
                            android:id="@+id/llBtn1"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:background="@drawable/d_common_btn_bg"
                            android:layout_weight="1"
                            android:gravity="center">

                        <TextView
                                android:id="@+id/tvBtn1"
                                android:text="@string/layout_next"
                                style="@style/bottom_button_text_yes"/>
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
    <LinearLayout
            android:id="@+id/llSlidingMenu"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentBottom="true"
            android:background="@color/transparent"
            android:clickable="true"
            android:visibility="gone">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="324dp"
                android:background="@drawable/color_popup_bg_body"
                android:orientation="vertical"
                android:layout_gravity="bottom">

            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:orientation="horizontal"
                    android:gravity="center_vertical"
                    android:background="@drawable/color_popup_bg_body">

                <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:includeFontPadding="false"
                        android:textSize="@dimen/size_font_02"
                        android:textColor="@color/color_text_01"
                        android:textStyle="bold"
                        android:gravity="left|center_vertical"
                        android:paddingLeft="25dp"
                        android:text="@string/layout_homemember_add_14"/>

                <Button
                        android:id="@+id/btnClose"
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:background="@drawable/d_common_head_btn_close"/>

            </LinearLayout>

            <android.support.v7.widget.RecyclerView
                    android:id="@+id/rcvList"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:paddingTop="4dp"
                    android:overScrollMode="never"
                    android:background="@drawable/color_popup_bg_body"
                    android:clipToPadding="false"/>
        </LinearLayout>
    </LinearLayout>

</RelativeLayout>